Bug 186471 - cups %post scriptlet: failed to read link /usr/bin/lpr: No such file or directory
cups %post scriptlet: failed to read link /usr/bin/lpr: No such file or direc...
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-03-23 14:27 EST by Charles R. Anderson
Modified: 2014-03-16 22:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-03 23:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/lib/alternatives/print that causes the problem (863 bytes, text/plain)
2006-03-27 09:25 EST, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2006-03-23 14:27:58 EST
Description of problem:

On a system upgraded from RHL 9, I get this error when installing cups:

failed to read link /usr/bin/lpr: No such file or directory

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -e --nodeps cups
2. Note that there is no /usr/bin/lpr
2. yum install cups
3. Above error appears, there is no /usr/bin/lpr still.
Actual results:

# rpm -e cups
error: Failed dependencies:
        cups is needed by (installed) libgnomecups-0.2.2-3.2.1.i386
        cups >= 1.1.17-4 is needed by (installed)

# rpm -e cups --nodeps
failed to read link /usr/bin/lpr: No such file or directory
warning: /etc/cups/printers.conf saved as /etc/cups/printers.conf.rpmsave
warning: /etc/cups/cupsd.conf saved as /etc/cups/cupsd.conf.rpmsave
[root@noc1 alternatives]# yum install cups
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
core                                                                 [1/3]
updates                                                              [2/3]
extras                                                               [3/3]
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for cups to pack into transaction set.
cups-1.1.23-30.2.i386.rpm 100% |=========================| 120 kB    00:00
---> Package cups.i386 1:1.1.23-30.2 set to be updated
--> Running transaction check

Dependencies Resolved

 Package                 Arch       Version          Repository        Size
 cups                    i386       1:1.1.23-30.2    core              1.6 M

Transaction Summary
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 1.6 M
Is this ok [y/N]: y
Downloading Packages:
(1/1): cups-1.1.23-30.2.i 100% |=========================| 1.6 MB    00:00
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
Public key for cups-1.1.23-30.2.i386.rpm is not installed
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
Importing GPG key 0x4F2A6FD2 "Fedora Project <fedora@redhat.com>"
Is this ok [y/N]: y
Key imported successfully
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY (0xDB42A60E) is already
installedRunning Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: cups                         ######################### [1/1]
failed to read link /usr/bin/lpr: No such file or directory

Installed: cups.i386 1:1.1.23-30.2
# ls -l /usr/bin/lpr
ls: /usr/bin/lpr: No such file or directory

Expected results:

The symlinks for alternatives should be set up properly.

Additional info:

#ls -l /etc/alternatives/
total 44
lrwxrwxrwx 1 root root 20 Mar 23 11:38 etags -> /usr/bin/etags.emacs
lrwxrwxrwx 1 root root 27 Mar 23 11:42 mta -> /usr/sbin/sendmail.sendmail
lrwxrwxrwx 1 root root 41 Mar 23 11:42 mta-aliasesman ->
lrwxrwxrwx 1 root root 23 Mar 23 11:42 mta-mailq -> /usr/bin/mailq.sendmail
lrwxrwxrwx 1 root root 39 Mar 23 11:42 mta-mailqman ->
lrwxrwxrwx 1 root root 28 Mar 23 11:42 mta-newaliases ->
lrwxrwxrwx 1 root root 44 Mar 23 11:42 mta-newaliasesman ->
lrwxrwxrwx 1 root root 24 Mar 23 11:42 mta-pam -> /etc/pam.d/smtp.sendmail
lrwxrwxrwx 1 root root 23 Mar 23 11:42 mta-rmail -> /usr/bin/rmail.sendmail
lrwxrwxrwx 1 root root 26 Mar 23 11:42 mta-sendmail -> /usr/lib/sendmail.sendmail
lrwxrwxrwx 1 root root 42 Mar 23 11:42 mta-sendmailman ->

#ls -l /var/lib/alternatives/
total 20
-rw-r--r-- 1 root root  45 Mar 23 11:38 etags
-rw-r--r-- 1 root root 700 Mar 23 11:42 mta
-rw-r--r-- 1 root root 863 Mar 23 14:26 print
Comment 1 Charles R. Anderson 2006-03-27 09:25:48 EST
Created attachment 126816 [details]
/var/lib/alternatives/print that causes the problem

When I move this file out of the way, the %post scriptlet alternatives command
Comment 2 petrosyan 2008-03-10 22:43:48 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 3 Bug Zapper 2008-04-03 22:13:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.